org.apache.avro

## Class SchemaParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.avro.AvroRuntimeException
        - - org.apache.avro.SchemaParseException

- All Implemented Interfaces:
    Serializable

      public class SchemaParseException
      extends AvroRuntimeException

  Thrown for errors parsing schemas and protocols.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaParseException(String message)`
    `SchemaParseException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaParseException

          public SchemaParseException(Throwable cause)

    - #### SchemaParseException

          public SchemaParseException(String message)

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.